Bug 454061 - rebuild of claws-mail needed
rebuild of claws-mail needed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-04 04:15 EDT by Pierre Ossman
Modified: 2008-09-08 12:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 12:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2008-07-04 04:15:22 EDT
Claws is holding back the upgrade of libetpan, so a rebuild is needed. Judging
from the failed builds in koji, an attempt has been made but it was half a month
ago. The libetpan upgrade was also marked as a security upgrade, so it would be
nice if this could be sorted out soon.
Comment 1 Alex Lancaster 2008-07-11 08:13:29 EDT
Still fails to build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=706584

Also still causing broken deps in rawhide:

Broken deps for i386
----------------------------------------------------------
	claws-mail-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-bogofilter-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-dillo-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-pgp-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-spamassassin-3.4.0-1.fc10.i386 requires libetpan.so.11

(from http://www.redhat.com/archives/fedora-devel-list/2008-July/msg00670.html )
Comment 2 Andreas Bierfert 2008-07-11 12:57:58 EDT
Sorry for not responding. I have been busy with work... I am still not convinced
this is a claws bug but I will see to get something working this weekend.
Comment 3 Tom Horsley 2008-09-05 20:25:21 EDT
I don't know about i386, but I get the same libetpan dependency
errors when I try to install x86_64 claws-mail on my F10 alpha
boot partition.
Comment 4 Pierre Ossman 2008-09-07 16:42:20 EDT
It is really getting time to fix this. Claws is uninstallable on rawhide, and we who already have it cannot get the libetpan security fix in.

There is both a new libetpan and new claws-mail out. Have you tried compiling that pair?
Comment 5 Andreas Bierfert 2008-09-08 00:09:25 EDT
3.5.0 does not compile on rawhide because of gtk issues. This has been fixed upstream and I am currently waiting for the new release.

Note You need to log in before you can comment on or make changes to this bug.